mirror of
https://github.com/Ponce/slackbuilds
synced 2024-11-16 19:50:19 +01:00
system/virtualbox: Updated for version 4.3.4.
Added the optional dependency libvpx Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
This commit is contained in:
parent
2b82f877dd
commit
b8b9a1059a
4 changed files with 58 additions and 45 deletions
|
@ -19,6 +19,9 @@ This will require jdk as optional dependency.
|
|||
|
||||
If you want to attach VirtualBox to a VDE network you will need vde2.
|
||||
|
||||
If you want to be able to capture the video output of your virtual
|
||||
hosts you will need libvpx, then pass to the script VPX=yes.
|
||||
|
||||
See README.SLACKWARE for some setup notes.
|
||||
|
||||
NOTE: This will not build on a stock x86_64 system.
|
||||
|
|
|
@ -1,25 +1,25 @@
|
|||
--- vboxdrv.sh.in.orig 2012-12-19 19:27:12.000000000 +0100
|
||||
+++ vboxdrv.sh.in 2013-01-06 12:33:27.291744988 +0100
|
||||
@@ -46,17 +46,13 @@
|
||||
--- VirtualBox-4.3.4.orig/src/VBox/Installer/linux/vboxdrv.sh.in 2013-11-29 20:24:07.000000000 +0100
|
||||
+++ VirtualBox-4.3.4/src/VBox/Installer/linux/vboxdrv.sh.in 2013-12-08 18:08:09.667571974 +0100
|
||||
@@ -44,17 +44,13 @@
|
||||
|
||||
if [ -n "$INSTALL_DIR" ]; then
|
||||
VBOXMANAGE="$INSTALL_DIR/VBoxManage"
|
||||
- MODULE_SRC="$INSTALL_DIR/src/vboxhost"
|
||||
else
|
||||
VBOXMANAGE="/usr/lib/%PACKAGE%/VBoxManage"
|
||||
- MODULE_SRC="/usr/share/%PACKAGE%/src/vboxhost"
|
||||
VBOXMANAGE="/usr/lib/virtualbox/VBoxManage"
|
||||
- MODULE_SRC="/usr/share/virtualbox/src/vboxhost"
|
||||
fi
|
||||
-BUILDINTMP="$MODULE_SRC/build_in_tmp"
|
||||
-DODKMS="$MODULE_SRC/do_dkms"
|
||||
|
||||
# silently exit if the package was uninstalled but not purged,
|
||||
# applies to Debian packages only
|
||||
-[ -z "$DEBIAN" -o -x $VBOXMANAGE -a -x $BUILDINTMP ] || exit 0
|
||||
+[ -z "$DEBIAN" -o -x $VBOXMANAGE ] || exit 0
|
||||
# applies to Debian packages only (but shouldn't hurt elsewhere)
|
||||
-[ ! -f /etc/debian_release -o -x $VBOXMANAGE -a -x $BUILDINTMP ] || exit 0
|
||||
+[ ! -f /etc/debian_release -o -x $VBOXMANAGE ] || exit 0
|
||||
|
||||
if [ -n "$NOLSB" ]; then
|
||||
if [ -f /etc/redhat-release ]; then
|
||||
@@ -297,70 +293,7 @@
|
||||
@@ -295,70 +291,7 @@
|
||||
# setup_script
|
||||
setup()
|
||||
{
|
||||
|
|
|
@ -25,7 +25,7 @@
|
|||
|
||||
PRGNAM=virtualbox
|
||||
SRCNAM=VirtualBox
|
||||
VERSION=4.2.16
|
||||
VERSION=4.3.4
|
||||
BUILD=${BUILD:-1}
|
||||
TAG=${TAG:-_SBo}
|
||||
|
||||
|
@ -62,6 +62,28 @@ else
|
|||
harden="--disable-hardening"
|
||||
fi
|
||||
|
||||
# Support for the qt4-frontend
|
||||
if [ "${HEADLESS:-no}" = "no" ]; then
|
||||
guiapp="VirtualBox VBoxSDL"
|
||||
else
|
||||
gui+=" --build-headless"
|
||||
guiapp=""
|
||||
fi
|
||||
|
||||
# Enable building of java bindings
|
||||
if [ "${JAVA:-no}" = "no" ]; then
|
||||
java="--disable-java"
|
||||
else
|
||||
java=""
|
||||
fi
|
||||
|
||||
# Enable vpx support for video capturing
|
||||
if [ "${VPX:-no}" = "no" ]; then
|
||||
libvpx="--disable-libvpx"
|
||||
else
|
||||
libvpx=""
|
||||
fi
|
||||
|
||||
if [ "${WEBSERVICE:-no}" = "no" ]; then
|
||||
web_service=""
|
||||
vboxwebsrv=""
|
||||
|
@ -102,7 +124,7 @@ find -L . \
|
|||
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
|
||||
-o -perm 511 \) -exec chmod 755 {} \; -o \
|
||||
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
|
||||
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
|
||||
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
|
||||
|
||||
GROUP="vboxusers"
|
||||
MODE="755"
|
||||
|
@ -111,21 +133,6 @@ MODE="755"
|
|||
# Use virtualbox-kernel.SlackBuild for this.
|
||||
patch -d src/VBox/Installer/linux -i $CWD/vboxdrv.sh-setup.diff
|
||||
|
||||
# Support for the qt4-frontend
|
||||
if [ "${HEADLESS:-no}" = "no" ]; then
|
||||
mkdir -p $PKG/usr/share/applications
|
||||
guiapp="VirtualBox VBoxSDL VBoxBFE"
|
||||
else
|
||||
gui+=" --build-headless"
|
||||
guiapp=""
|
||||
fi
|
||||
|
||||
if [ "${JAVA:-no}" = "no" ]; then
|
||||
java="--disable-java"
|
||||
else
|
||||
java=""
|
||||
fi
|
||||
|
||||
# Do not require makeself. We don't plan on building an automatic installer
|
||||
# Patch taken from gentoo
|
||||
patch -p1 -i $CWD/virtualbox-4-makeself-check.patch
|
||||
|
@ -140,7 +147,8 @@ CXXFLAGS="$SLKCFLAGS" \
|
|||
$web_service \
|
||||
$harden \
|
||||
$gui \
|
||||
$java
|
||||
$java \
|
||||
$libvpx
|
||||
|
||||
. ./env.sh
|
||||
|
||||
|
@ -159,13 +167,14 @@ mkdir -p $PKG/usr/{lib$LIBDIRSUFFIX,share,include}/virtualbox \
|
|||
$PKG/usr/share/{pixmaps,mime/packages} \
|
||||
$PKG/etc/{default,rc.d,vbox}
|
||||
|
||||
for i in vboxdrv vboxballoonctrl-service vboxautostart-service; do
|
||||
cp -f src/VBox/Installer/linux/$i.sh.in $PKG/etc/rc.d/rc.$i.new
|
||||
sed -i "s/%PACKAGE%/virtualbox/g" $PKG/etc/rc.d/rc.$i.new
|
||||
sed -i "s/%NOLSB%/yes/" $PKG/etc/rc.d/rc.$i.new
|
||||
sed -i "s/%DEBIAN%/no/" $PKG/etc/rc.d/rc.$i.new
|
||||
sed -i "s/%GROUP%/vboxusers/" $PKG/etc/rc.d/rc.$i.new
|
||||
sed -i "s/\[ -z \"\$DEBIAN\"/#\[ -z \"\$DEBIAN\"/" $PKG/etc/rc.d/rc.$i.new
|
||||
for i in vboxdrv.sh.in vboxballoonctrl-service.sh vboxautostart-service.sh; do
|
||||
SCRIPT=$(echo $i | cut -d "." -f 1)
|
||||
cp -f src/VBox/Installer/linux/$i $PKG/etc/rc.d/rc.$SCRIPT.new
|
||||
sed -i "s/%PACKAGE%/virtualbox/g" $PKG/etc/rc.d/rc.$SCRIPT.new
|
||||
sed -i "s/%NOLSB%/yes/" $PKG/etc/rc.d/rc.$SCRIPT.new
|
||||
sed -i "s/%DEBIAN%/no/" $PKG/etc/rc.d/rc.$SCRIPT.new
|
||||
sed -i "s/%GROUP%/vboxusers/" $PKG/etc/rc.d/rc.$SCRIPT.new
|
||||
sed -i "s/\[ -z \"\$DEBIAN\"/#\[ -z \"\$DEBIAN\"/" $PKG/etc/rc.d/rc.$SCRIPT.new
|
||||
done
|
||||
|
||||
cp -f $CWD/vbox.cfg $PKG/etc/vbox/vbox.cfg.new
|
||||
|
@ -177,6 +186,7 @@ cd out/linux.$BUILDDIR/release/bin/
|
|||
mv src $PKG/usr/src/virtualbox-kernel-$VERSION
|
||||
|
||||
if [ "${HEADLESS:-no}" = "no" ]; then
|
||||
mkdir -p $PKG/usr/share/applications
|
||||
mv virtualbox.desktop $PKG/usr/share/applications/
|
||||
sed -i "s|/opt/VirtualBox|/usr/share/virtualbox|" \
|
||||
$PKG/usr/share/applications/virtualbox.desktop
|
||||
|
@ -219,7 +229,7 @@ for i in VBoxManage vboxmanage VBoxHeadless \
|
|||
done
|
||||
|
||||
if [ "${HEADLESS:-no}" = "no" ]; then
|
||||
for i in virtualbox vboxsdl vboxbfe; do
|
||||
for i in virtualbox vboxsdl; do
|
||||
ln -s /usr/lib$LIBDIRSUFFIX/virtualbox/VBox $PKG/usr/bin/$i
|
||||
done
|
||||
fi
|
||||
|
@ -227,7 +237,7 @@ fi
|
|||
if [ "$vboxwebsrv" = "vboxwebsrv" ]; then
|
||||
mkdir -p $PKG/var/{lib,log}/vboxweb
|
||||
chown vboxweb:vboxusers $PKG/var/{lib,log}/vboxweb
|
||||
cp -f src/VBox/Installer/linux/vboxweb-service.sh.in $PKG/etc/rc.d/rc.vboxweb-service.new
|
||||
cp -f src/VBox/Installer/linux/vboxweb-service.sh $PKG/etc/rc.d/rc.vboxweb-service.new
|
||||
sed -i "s/%PACKAGE%/virtualbox/g" $PKG/etc/rc.d/rc.vboxweb-service.new
|
||||
sed -i "s/%NOLSB%/yes/" $PKG/etc/rc.d/rc.vboxweb-service.new
|
||||
sed -i "s/%DEBIAN%/no/" $PKG/etc/rc.d/rc.vboxweb-service.new
|
||||
|
|
|
@ -1,14 +1,14 @@
|
|||
PRGNAM="virtualbox"
|
||||
VERSION="4.2.16"
|
||||
VERSION="4.3.4"
|
||||
HOMEPAGE="http://www.virtualbox.org"
|
||||
DOWNLOAD="http://download.virtualbox.org/virtualbox/4.2.16/VirtualBox-4.2.16.tar.bz2 \
|
||||
http://download.virtualbox.org/virtualbox/4.2.16/VBoxGuestAdditions_4.2.16.iso \
|
||||
http://download.virtualbox.org/virtualbox/4.2.16/UserManual.pdf \
|
||||
http://download.virtualbox.org/virtualbox/4.2.16/SDKRef.pdf"
|
||||
MD5SUM="c4a36e2099a317f4715cd3861cdae238 \
|
||||
6074747feb9ae8b6eec365616347eef3 \
|
||||
944dfa95f55af74f70b1709948f5726d \
|
||||
c1e3b86037cbafdbaf54aacf7f5ce157"
|
||||
DOWNLOAD="http://download.virtualbox.org/virtualbox/4.3.4/VirtualBox-4.3.4.tar.bz2 \
|
||||
http://download.virtualbox.org/virtualbox/4.3.4/VBoxGuestAdditions_4.3.4.iso \
|
||||
http://download.virtualbox.org/virtualbox/4.3.4/UserManual.pdf \
|
||||
http://download.virtualbox.org/virtualbox/4.3.4/SDKRef.pdf"
|
||||
MD5SUM="065c713bb691929179f1649d5118a340 \
|
||||
528f6af69954a1d12fb1125c466d7948 \
|
||||
7034458aee979718947d5b0a77963e32 \
|
||||
b18b54f4d53515e063ec2292ad52e510"
|
||||
DOWNLOAD_x86_64="UNTESTED"
|
||||
MD5SUM_x86_64=""
|
||||
REQUIRES="acpica virtualbox-kernel"
|
||||
|
|
Loading…
Reference in a new issue